Bug 736189 - Publican should die with a useful message if directory creation fails
Publican should die with a useful message if directory creation fails
Product: Publican
Classification: Community
Component: publican (Show other bugs)
Unspecified Unspecified
unspecified Severity unspecified
: 3.0
: ---
Assigned To: Jeff Fearn
Ruediger Landmann
Depends On:
  Show dependency treegraph
Reported: 2011-09-06 19:05 EDT by Jeff Fearn
Modified: 2012-10-30 23:11 EDT (History)
3 users (show)

See Also:
Fixed In Version: 3.0.0
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2012-10-30 23:11:28 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Jeff Fearn 2011-09-06 19:05:50 EDT
Description of problem:
Every time Publican creates a directory it should check for success and croak with a useful message if it fails.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. cd to a book as a normal user
2. create tmp dir
3. chown root:root tmp
4: run publican build
Actual results:
Weird errors

Expected results:
"Can't create directory $dir $why"

Additional info:
Comment 1 Jeff Fearn 2012-03-12 00:40:51 EDT
This should be fixed in master branch due to moving from system call to mkpath. mkpath delivers a useful message when it fails.

$cd foo
$ mkdir tmp
$ sudo chown  root:root tmp
$ publican build --langs all --formats xml

DEBUG: Publican: config loaded
Setting up ar-SA
mkdir tmp/ar-SA: Permission denied at /usr/share/perl5/vendor_perl/Publican/Builder.pm line 331
Comment 2 Dayle Parker 2012-04-26 02:54:47 EDT
Fix verified on Fedora 16 with Publican 3.0-0.fc16.t166. The same message is generated:

$ publican build --langs all --formats xml

Setting up en-US
mkdir tmp/en-US: Permission denied at /usr/share/perl5/vendor_perl/Publican/Builder.pm line 345

Note You need to log in before you can comment on or make changes to this bug.